|  | Home · All Classes · Main Classes · Annotated · Grouped Classes · Functions |

# QFormBuilder Class Reference

    #include <QFormBuilder>

Part of the QtDesigner module.

Inherits QAbstractFormBuilder.

- List of all members, including inherited members

### Public Functions

- QFormBuilder ()
- void addPluginPath ( const QString & pluginPath )
- void clearPluginPaths ()
- QList<QDesignerCustomWidgetInterface *> customWidgets () const
- QStringList pluginPaths () const
- void setPluginPath ( const QStringList & pluginPaths )

- 4 public functions inherited from QAbstractFormBuilder

### Protected Functions

- virtual bool addItem ( DomLayoutItem * ui_item, QLayoutItem * item, QLayout * layout )
- virtual bool addItem ( DomWidget * ui_widget, QWidget * widget, QWidget * parentWidget )
- virtual QWidget * create ( DomUI * ui, QWidget * parentWidget )
- virtual QWidget * create ( DomWidget * ui_widget, QWidget * parentWidget )
- virtual QLayout * create ( DomLayout * ui_layout, QLayout * layout, QWidget * parentWidget )
- virtual QLayoutItem * create ( DomLayoutItem * ui_layoutItem, QLayout * layout, QWidget * parentWidget )
- virtual QAction * create ( DomAction * ui_action, QObject * parent )
- virtual QActionGroup * create ( DomActionGroup * ui_action_group, QObject * parent )
- virtual void createConnections ( DomConnections * connections, QWidget * widget )
- virtual QLayout * createLayout ( const QString & layoutName, QObject * parent, const QString & name )
- virtual QWidget * createWidget ( const QString & widgetName, QWidget * parentWidget, const QString & name )
- virtual void updateCustomWidgets ()

- 52 protected functions inherited from QAbstractFormBuilder

### Static Protected Members

- QWidget * widgetByName ( QWidget * topLevel, const QString & name )

- 3 static protected members inherited from QAbstractFormBuilder

## Detailed Description

## Member Function Documentation

### QFormBuilder::QFormBuilder ()

### bool QFormBuilder::addItem ( DomLayoutItem * ui_item, QLayoutItem * item, QLayout * layout ) `[virtual protected]`

### bool QFormBuilder::addItem ( DomWidget * ui_widget, QWidget * widget, QWidget * parentWidget ) `[virtual protected]`

This is an overloaded member function, provided for convenience. It behaves essentially like the above function.

### void QFormBuilder::addPluginPath ( const QString & pluginPath )

### void QFormBuilder::clearPluginPaths ()

### QWidget * QFormBuilder::create ( DomUI * ui, QWidget * parentWidget ) `[virtual protected]`

### QWidget * QFormBuilder::create ( DomWidget * ui_widget, QWidget * parentWidget ) `[virtual protected]`

This is an overloaded member function, provided for convenience. It behaves essentially like the above function.

### QLayout * QFormBuilder::create ( DomLayout * ui_layout, QLayout * layout, QWidget * parentWidget ) `[virtual protected]`

This is an overloaded member function, provided for convenience. It behaves essentially like the above function.

### QLayoutItem * QFormBuilder::create ( DomLayoutItem * ui_layoutItem, QLayout * layout, QWidget * parentWidget ) `[virtual protected]`

This is an overloaded member function, provided for convenience. It behaves essentially like the above function.

### QAction * QFormBuilder::create ( DomAction * ui_action, QObject * parent ) `[virtual protected]`

This is an overloaded member function, provided for convenience. It behaves essentially like the above function.

### QActionGroup * QFormBuilder::create ( DomActionGroup * ui_action_group, QObject * parent ) `[virtual protected]`

This is an overloaded member function, provided for convenience. It behaves essentially like the above function.

### void QFormBuilder::createConnections ( DomConnections * connections, QWidget * widget ) `[virtual protected]`

### QLayout * QFormBuilder::createLayout ( const QString & layoutName, QObject * parent, const QString & name ) `[virtual protected]`

### QWidget * QFormBuilder::createWidget ( const QString & widgetName, QWidget * parentWidget, const QString & name ) `[virtual protected]`

### QList<QDesignerCustomWidgetInterface *> QFormBuilder::customWidgets () const

### QStringList QFormBuilder::pluginPaths () const

### void QFormBuilder::setPluginPath ( const QStringList & pluginPaths )

### void QFormBuilder::updateCustomWidgets () `[virtual protected]`

### QWidget * QFormBuilder::widgetByName ( QWidget * topLevel, const QString & name ) `[static protected]`